Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::Graph_Edge Class Reference

Edge that allows to access to an index. The indices of the edges are used to store heap information in the edge contraction algorithm. More...

`#include <concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h>`

## Public Member Functions

int & | index ()
| Access to the index.
int | index ()
| Access to the index.
Public Member Functions inherited from Gudhi::skeleton_blocker::SkeletonBlockerDS::Graph_edge
void | setId (Root_vertex_handle a, Root_vertex_handle b)
| Allows to modify vertices of the edge.
Root_vertex_handle | first () const
| Returns the first vertex of the edge.
Root_vertex_handle | second () const
| Returns the second vertex of the edge.

## Detailed Description

template<typename GeometryTrait>
class Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::Graph_Edge

Edge that allows to access to an index. The indices of the edges are used to store heap information in the edge contraction algorithm.

The documentation for this class was generated from the following file:

- concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h